メインコンテンツへスキップ
GET
JavaScript

承認

Authorization
string
header
必須

Send your API key as a bearer token: Authorization: Bearer <api_key>. A test mode key starts with dodo_test_, for example dodo_test_AbCd1234EfGh5678.<secret>. A live mode key starts with dodo_live_. Use a test mode key on test.dodopayments.com and a live mode key on live.dodopayments.com. Keys from before these tags have no tag and operate as before.

パスパラメータ

code
string
必須

The discount code (e.g., 'SAVE20')

レスポンス

Fetched discount by code

amount
integer<int32>
必須

The discount amount in basis points (e.g., 540 => 5.4%).

business_id
string
必須

The business this discount belongs to.

code
string
必須

The discount code (up to 16 chars).

created_at
string<date-time>
必須

Timestamp when the discount is created

customer_eligibility
enum<string>
必須

Who may redeem this discount code.

利用可能なオプション:
any,
first_time,
existing,
specific
discount_id
string
必須

The unique discount ID

metadata
Metadata · object
必須

Arbitrary key-value metadata. Values can be string, integer, number, or boolean.

preserve_on_plan_change
boolean
必須

Whether this discount should be preserved when a subscription changes plans. Default: false (discount is removed on plan change)

restricted_to
string[]
必須

List of product IDs to which this discount is restricted.

times_used
integer<int32>
必須

How many times this discount has been used.

type
enum<string>
必須

The type of discount (percentage or flat).

利用可能なオプション:
flat,
percentage
currency_options
object[]

Per-currency options (flat deduction / percentage cap + minimum subtotal). Empty for discounts without any configured currency options.

expires_at
string<date-time> | null

Optional date/time after which discount is expired.

name
string | null

Name for the Discount

per_customer_usage_limit
integer<int32> | null

Maximum number of times a single customer may redeem this discount, if any.

starts_at
string<date-time> | null

Optional date/time before which the discount is not yet active. NULL = active immediately.

subscription_cycles
integer<int32> | null

Number of subscription billing cycles this discount is valid for. If not provided, the discount will be applied indefinitely to all recurring payments related to the subscription.

usage_limit
integer<int32> | null

Usage limit for this discount, if any.

最終更新日 2026年4月1日